Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.addressing
Class ObjectFactory

    java.lang.Object
      org.apache.cxf.ws.addressing.ObjectFactory

    public class ObjectFactory

extends java.lang.Object

This object contains factory methods for each Java content interface and Java element interface generated in the org.apache.cxf.ws.addressing package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.apache.cxf.ws.addressing

Method Summary
`javax.xml.bind.JAXBElement<AttributedURIType>` | `createAction(AttributedURIType value)` Create an instance of `JAXBElement``<``AttributedURIType``>`}
`AttributedAnyType` | `createAttributedAnyType()` Create an instance of `AttributedAnyType`
`AttributedQNameType` | `createAttributedQNameType()` Create an instance of `AttributedQNameType`
`AttributedUnsignedLongType` | `createAttributedUnsignedLongType()` Create an instance of `AttributedUnsignedLongType`
`AttributedURIType` | `createAttributedURIType()` Create an instance of `AttributedURIType`
`javax.xml.bind.JAXBElement<EndpointReferenceType>` | `createEndpointReference(EndpointReferenceType value)` Create an instance of `JAXBElement``<``EndpointReferenceType``>`}
`EndpointReferenceType` | `createEndpointReferenceType()` Create an instance of `EndpointReferenceType`
`javax.xml.bind.JAXBElement<EndpointReferenceType>` | `createFaultTo(EndpointReferenceType value)` Create an instance of `JAXBElement``<``EndpointReferenceType``>`}
`javax.xml.bind.JAXBElement<EndpointReferenceType>` | `createFrom(EndpointReferenceType value)` Create an instance of `JAXBElement``<``EndpointReferenceType``>`}
`javax.xml.bind.JAXBElement<AttributedURIType>` | `createMessageID(AttributedURIType value)` Create an instance of `JAXBElement``<``AttributedURIType``>`}
`javax.xml.bind.JAXBElement<MetadataType>` | `createMetadata(MetadataType value)` Create an instance of `JAXBElement``<``MetadataType``>`}
`MetadataType` | `createMetadataType()` Create an instance of `MetadataType`
`javax.xml.bind.JAXBElement<ProblemActionType>` | `createProblemAction(ProblemActionType value)` Create an instance of `JAXBElement``<``ProblemActionType``>`}
`ProblemActionType` | `createProblemActionType()` Create an instance of `ProblemActionType`
`javax.xml.bind.JAXBElement<AttributedAnyType>` | `createProblemHeader(AttributedAnyType value)` Create an instance of `JAXBElement``<``AttributedAnyType``>`}
`javax.xml.bind.JAXBElement<AttributedQNameType>` | `createProblemHeaderQName(AttributedQNameType value)` Create an instance of `JAXBElement``<``AttributedQNameType``>`}
`javax.xml.bind.JAXBElement<AttributedURIType>` | `createProblemIRI(AttributedURIType value)` Create an instance of `JAXBElement``<``AttributedURIType``>`}
`ReferenceParametersType` | `createReferenceParametersType()` Create an instance of `ReferenceParametersType`
`javax.xml.bind.JAXBElement<RelatesToType>` | `createRelatesTo(RelatesToType value)` Create an instance of `JAXBElement``<``RelatesToType``>`}
`RelatesToType` | `createRelatesToType()` Create an instance of `RelatesToType`
`javax.xml.bind.JAXBElement<EndpointReferenceType>` | `createReplyTo(EndpointReferenceType value)` Create an instance of `JAXBElement``<``EndpointReferenceType``>`}
`javax.xml.bind.JAXBElement<AttributedUnsignedLongType>` | `createRetryAfter(AttributedUnsignedLongType value)` Create an instance of `JAXBElement``<``AttributedUnsignedLongType``>`}
`javax.xml.bind.JAXBElement<AttributedURIType>` | `createTo(AttributedURIType value)` Create an instance of `JAXBElement``<``AttributedURIType``>`}

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.apache.cxf.ws.addressing

Method Detail

### createRelatesToType

    public RelatesToType createRelatesToType()

  Create an instance of `RelatesToType`

### createEndpointReferenceType

    public EndpointReferenceType createEndpointReferenceType()

  Create an instance of `EndpointReferenceType`

### createReferenceParametersType

    public ReferenceParametersType createReferenceParametersType()

  Create an instance of `ReferenceParametersType`

### createAttributedURIType

    public AttributedURIType createAttributedURIType()

  Create an instance of `AttributedURIType`

### createAttributedAnyType

    public AttributedAnyType createAttributedAnyType()

  Create an instance of `AttributedAnyType`

### createAttributedUnsignedLongType

    public AttributedUnsignedLongType createAttributedUnsignedLongType()

  Create an instance of `AttributedUnsignedLongType`

### createProblemActionType

    public ProblemActionType createProblemActionType()

  Create an instance of `ProblemActionType`

### createMetadataType

    public MetadataType createMetadataType()

  Create an instance of `MetadataType`

### createAttributedQNameType

    public AttributedQNameType createAttributedQNameType()

  Create an instance of `AttributedQNameType`

### createMetadata

    public javax.xml.bind.JAXBElement<MetadataType> createMetadata(MetadataType value)

  Create an instance of `JAXBElement``<``MetadataType``>`}

### createProblemHeader

    public javax.xml.bind.JAXBElement<AttributedAnyType> createProblemHeader(AttributedAnyType value)

  Create an instance of `JAXBElement``<``AttributedAnyType``>`}

### createEndpointReference

    public javax.xml.bind.JAXBElement<EndpointReferenceType> createEndpointReference(EndpointReferenceType value)

  Create an instance of `JAXBElement``<``EndpointReferenceType``>`}

### createProblemIRI

    public javax.xml.bind.JAXBElement<AttributedURIType> createProblemIRI(AttributedURIType value)

  Create an instance of `JAXBElement``<``AttributedURIType``>`}

### createFaultTo

    public javax.xml.bind.JAXBElement<EndpointReferenceType> createFaultTo(EndpointReferenceType value)

  Create an instance of `JAXBElement``<``EndpointReferenceType``>`}

### createMessageID

    public javax.xml.bind.JAXBElement<AttributedURIType> createMessageID(AttributedURIType value)

  Create an instance of `JAXBElement``<``AttributedURIType``>`}

### createRetryAfter

    public javax.xml.bind.JAXBElement<AttributedUnsignedLongType> createRetryAfter(AttributedUnsignedLongType value)

  Create an instance of `JAXBElement``<``AttributedUnsignedLongType``>`}

### createRelatesTo

    public javax.xml.bind.JAXBElement<RelatesToType> createRelatesTo(RelatesToType value)

  Create an instance of `JAXBElement``<``RelatesToType``>`}

### createReplyTo

    public javax.xml.bind.JAXBElement<EndpointReferenceType> createReplyTo(EndpointReferenceType value)

  Create an instance of `JAXBElement``<``EndpointReferenceType``>`}

### createAction

    public javax.xml.bind.JAXBElement<AttributedURIType> createAction(AttributedURIType value)

  Create an instance of `JAXBElement``<``AttributedURIType``>`}

### createProblemHeaderQName

    public javax.xml.bind.JAXBElement<AttributedQNameType> createProblemHeaderQName(AttributedQNameType value)

  Create an instance of `JAXBElement``<``AttributedQNameType``>`}

### createTo

    public javax.xml.bind.JAXBElement<AttributedURIType> createTo(AttributedURIType value)

  Create an instance of `JAXBElement``<``AttributedURIType``>`}

### createProblemAction

    public javax.xml.bind.JAXBElement<ProblemActionType> createProblemAction(ProblemActionType value)

  Create an instance of `JAXBElement``<``ProblemActionType``>`}

### createFrom

    public javax.xml.bind.JAXBElement<EndpointReferenceType> createFrom(EndpointReferenceType value)

  Create an instance of `JAXBElement``<``EndpointReferenceType``>`}

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF is an effort undergoing incubation at the Apache Software Foundation(ASF) and sponsored by the Apache Incubator PMC.